TopicForms

Update a topic form (Preview)

Preview · Available to selected organizations. Updates only the supplied form fields. allowedOrigins replaces the complete exact-origin allowlist; redirectUrl null clears the success redirect.

PATCH
/v1/topics/{id}/forms/{formId}

Updates only the supplied form fields. allowedOrigins replaces the complete exact-origin allowlist; redirectUrl null clears the success redirect. The public key remains stable. Requires topicSignup.

x-api-key<token>

In: header

Path Parameters

id*string
Match^unsub_[0-9a-hjkmnp-tv-z]{16,24}$
formId*string
Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|[fF]{8}-[fF]{4}-[fF]{4}-[fF]{4}-[fF]{12})$
Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

allowedOrigins?array<>|null
confirmationTitle?|null
confirmationMessage?|null
successTitle?|null
successMessage?|null
redirectUrl?|null|null

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://example.com/v1/topics/string/forms/497f6eca-6276-4993-bfeb-53cbbbba6f08" \  -H "Content-Type: application/json" \  -d '{}'
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "publicKey": "29f62ed2-b67a-44ba-84f5-217ecee94438",  "topicId": "string",  "allowedOrigins": [    "string"  ],  "confirmationTitle": "string",  "confirmationMessage": "string",  "successTitle": "string",  "successMessage": "string",  "redirectUrl": "string",  "linkOrigin": "string",  "createdAt": "string",  "updatedAt": "string"}

Related documentation